Daily quotas

Usage is counted per calendar day (UTC) and split into two counters: conversions and premium operations.

PlanConversions / dayPremium ops / day
Anonymous (guest)33
Free35
Basic2020
ProEffectively unlimitedEffectively unlimited
TeamEffectively unlimitedEffectively unlimited
"Effectively unlimited"

Pro and Team quotas are set high enough for normal use. Sustained abusive usage may still be throttled.

Upload size limits

PlanMax file size
Anonymous (guest)25 MB
Free50 MB
Basic100 MB
Pro500 MB
Team1 GB

Uploads exceeding the limit are rejected with 413.

Texture output limits

PlanMax texture output
Free2K (2048px)
Basic4K (4096px)
Pro8K (8192px)
Team8K (8192px)

Usage reporting

Check remaining quota with GET /api/user/usage:

json
{
  "plan": "pro",
  "conversions": { "used": 12, "limit": 999999, "remaining": 999987 },
  "premiumOps":  { "used": 3,  "limit": 999999, "remaining": 999996 },
  "date": "2026-09-19"
}

Limit responses

When a quota is reached, the API returns 403:

json
{
  "error": "Daily limit of 3 conversions reached for free tier",
  "plan": "free",
  "limit": 3,
  "used": 3,
  "upgradePrompt": "upgrade",
  "message": "Upgrade to Basic for 20 conversions per day or Pro for unlimited!"
}

Excessive request rates return 429 Too Many Requests.